Bug 142078 - IllegalArgumentException: A node selection cannot contain nodes (h2) not underneath the root (null).
IllegalArgumentException: A node selection cannot contain nodes (h2) not unde...
Status: RESOLVED FIXED
Product: web
Classification: Unclassified
Component: HTML Editor
6.x
Macintosh All
: P2 (vote)
: 6.x
Assigned To: Torbjorn Norbye
Jindrich Sedek
: RANDOM, THREAD
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-07-29 14:52 UTC by Marek Fukala
Modified: 2009-05-18 10:45 UTC (History)
4 users (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marek Fukala 2008-07-29 14:52:21 UTC
During editing of gsf based languages with navigator support following exceptions is randomly thrown:

IllegalArgumentException: A node selection cannot contain nodes (h2) not underneath the root (null).

See issue #128452 and all related issues for more information.

java.lang.IllegalArgumentException: A node selection cannot contain nodes (h2) not underneath the root (null).
	at org.openide.explorer.ExplorerManager.checkUnderRoot(ExplorerManager.java:561)
	at org.openide.explorer.ExplorerManager.access$300(ExplorerManager.java:87)
	at org.openide.explorer.ExplorerManager$1AtomicSetSelectedNodes.checkArgumentIsValid(ExplorerManager.java:232)
	at org.openide.explorer.ExplorerManager$1AtomicSetSelectedNodes.run(ExplorerManager.java:265)
	at org.openide.util.Mutex.readAccess(Mutex.java:362)
	at org.openide.explorer.ExplorerManager.setSelectedNodes(ExplorerManager.java:272)
	at org.netbeans.modules.gsfret.navigation.ClassMemberPanelUI.selectElementNode(ClassMemberPanelUI.java:171)
	at org.netbeans.modules.gsfret.navigation.ClassMemberPanel.selectElement(ClassMemberPanel.java:97)
	at org.netbeans.modules.gsfret.navigation.CaretListeningTask.run(CaretListeningTask.java:77)
	at org.netbeans.modules.gsfret.navigation.CaretListeningTask.run(CaretListeningTask.java:57)
	at org.netbeans.napi.gsfret.source.Source$CompilationJob.run(Source.java:1216)
	...
Comment 1 Marek Fukala 2008-07-29 14:55:59 UTC
Tor, this looks like some GSF navigator threading issue if t_h is right that this is not explorer problem. Can you
please look at that?
Comment 2 Torbjorn Norbye 2008-08-01 17:35:32 UTC
This (and some other related functionality problems) should be fixed now, as of changeset 03071a0eb8ed.  (And some other
navigator related problems in 1d8b57cce2e0, 50bded4ca7b5, 153928aad54a).

This navigator bug has been there since the beginning (NetBeans 6.0).  The reason it suddenly spiked in number of
exception submissions recently was related to the various node performance changes elsewhere. But that was just the
exception stacktrace. I uncovered several functionality related problems where for example switching files a lot would
eventually cause the navigator to stop updating the navigator selection based on the caret.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo